Bug 75870 - Promise 20265 (Asus A7V) and kernel-2.4.18
Promise 20265 (Asus A7V) and kernel-2.4.18
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
8.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-10-14 08:32 EDT by Marcel Telka
Modified: 2008-08-01 12:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:40:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marcel Telka 2002-10-14 08:32:03 EDT
Description of Problem:
kernel hangs while detecting disks connected to the Promise 20265 onboard ATA100
controller (board is Asus A7V).

Version-Release number of selected component (if applicable):
kernel-2.4.18-10 (rh-7.3) and kernel-2.4.18-14 (rh-8.0). Older kernels before
2.4.18-10 works good.


How Reproducible:
I'm using these kernel parameters for Promise controller: ide2=0x8800,0x7802.
Kernel changes these parameters to "ide2 at 0x8800-0x8807,0x8402 on irq 10" and
then hangs.


Steps to Reproduce:
1. Connect a harddisk to the ATA100 interface on an Asus A7V motherboard
2. try boot Red Hat Linux 7.3 (kernel-2.4.18-10) or Red Hat Linux 8.0
(kernel-2.4.18-24) from this disk
3. boot is unsuccessful (kernel hangs)

Actual Results:
ide0 at 0x1f0-0x1f7,0x3f6 on irq 14
ide1 at 0x170-0x177,0x376 on irq 15
ide2 at 0x8800-0x8807,0x8402 on irq 10

Expected Results:
ide0 at 0x1f0-0x1f7,0x3f6 on irq 14
ide1 at 0x170-0x177,0x376 on irq 15
ide2 at 0x8800-0x8807,0x7802 on irq 10

Additional Information:
This simple patch for drivers/ide/ide-pci.c fixes my problem:

--- ide-pci.c.orig      2002-09-04 17:54:02.000000000 +0200
+++ ide-pci.c   2002-10-14 14:27:20.000000000 +0200
@@ -860,7 +860,6 @@ fixup_address:
                        memcpy(hwif->io_ports, hwif->hw.io_ports,
sizeof(hwif->io_ports));
                        hwif->noprobe = !hwif->io_ports[IDE_DATA_OFFSET];
                } else if (hwif->io_ports[IDE_CONTROL_OFFSET] != (ctl | 2)) {
-                       goto fixup_address;
                }
                hwif->chipset = ide_pci;
                hwif->pci_dev = dev;
Comment 1 Marcel Telka 2002-10-14 08:37:28 EDT
s/kernel-2.4.18-24/kernel-2.4.18-14/
Comment 2 Bugzilla owner 2004-09-30 11:40:04 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.